> For the complete documentation index, see [llms.txt](https://docs.openbrush.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openbrush.app/developer-notes/differences-between-standard-and-experimental-mode.md).

# Differences between Standard and Experimental Mode

#### Experimental Only Panels: <a href="#o0pvobu1sw3y" id="o0pvobu1sw3y"></a>

* ExperimentalPanel
* BrushesPanel\_experimental

#### Code differences: <a href="#lwesmp5fivvb" id="lwesmp5fivvb"></a>

* **BrushDescriptor.cs:**
  * m\_DescriptionExtra;
* **BrushTypeButton.cs**
  * m\_DescriptionExtra used
  * m\_ExperimentalIcon overlay
* **DropperTool.cs**
  * m\_DescriptionExtra used
* **Export.cs:**
  * wrl and stl support
  * .obj support (behind fbx flag)
* **ImportUsd.cs:**
  * USD\_SUPPORTED (still behind a flag)
* **PanelManager.cs:**
  * m\_ModeVrExperimental (handles showing/hiding experimental only panels)
  * m\_UxExploration prefab (not used)
* **ControllerConsoleScript.cs:**
  * m\_AutosaveIcon?
* **SaveLoadScript.cs:**
  * jsonData.CanvasTransformInSceneSpace (experimental Canvas Transform)
* **SketchWriter.cs**
  * m\_ReplaceBrushesOnLoad (Config.m\_BrushReplacement is currently empty so does nothing)
* **MulticamTool.cs**
  * Extra Gif presets: SlowFollow, Stationary, Wobble, Circular
* **InputManager.cs**
  * Slowfollow Smoothing keyboard shortcuts (E and R)
  * ToggleHeadStationaryOrWobble/ToggleHeadStationaryOrFollow shortcuts (Q and W)
* **DropCamWidget.cs:**
  * Handle ToggleHeadStationaryOrWobble shortcuts
* **TeleportTool.cs**
  * Jogging (needs JOGGING\_ENABLED also which isn’t)
* **ColorPickerUtils.cs**
  * Extra ColorPickerMode modes
* **App.cs**
  * Animated intro sketches
* **Config.cs**
  * More brush replacement stuff: m\_BrushReplacementMap
* **SceneScript.cs**
  * Sketch Layers (keyboard only)
* **SketchControlsScript.cs**
  * m\_HeadOffset?
  * hidePanelsDelay set to 0 instead of 1
  * GlobalCommands.StraightEdgeShape Circle, Sphere (doesn’t appear to be called from anywhere)
  * Keyboard shortcuts enabled in Experimental mode:
    * SaveNew
    * ExportAll
    * SwitchCamera
    * CycleCanvas
    * ViewOnly
    * ToggleScreenMirroring
    * PreviousTool
    * NextTool
    * CycleSymmetryMode
    * Export
    * StoreHeadTransform
    * RecallHeadTransform
    * ToggleLightType
    * TossWidget
    * Reset
    * ToggleProfile


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.openbrush.app/developer-notes/differences-between-standard-and-experimental-mode.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
